<html>
<head>
	<title>Javascript exercicio 4</title>
</head>
<body>
<script>

/*4.	Calculadora de Multas. Crie um programa que leia a 
		velocidade máxima permitida em uma rodovia e a 
		velocidade com a qual o motorista estava trafegando 
		nessa mesma rodovia. Em seguida, calcule a multa que o motorista receberia caso ultrapassasse a velocidade máxima permitida na rodovia, sabendo que são pagos: 
		a.	R$190,00 no caso de o motorista ultrapassar
		em até 10km/h a velocidade máxima permitida; 
		b.	R$240,00 no caso de o motorista ultrapassar
		em mais de 10km/hm e até 30 km/h a velocidade máxima permitida;
		c.	R$330,000 no caso de o motorista ultrapassar 
		em mais de 30km/h a velocidade máxima permitida.*/
		
function verificarMulta(){

			//debugger ; 
			// pegar valores do formularios e converter para numeros
			var txtMaxVia = document.getElementById('txtMaxVia') ; 
			var txtVelocidade = document.getElementById('txtVelocidade') ;
			var resultado = document.getElementById('resultado') ;
			var MaxVia = parseFloat(txtMaxVia.value) ; 
			var velocidade = parseFloat(txtVelocidade.value) ; 
			var multa  = 0 ; 
			
			if(!isNaN(MaxVia) && !isNaN(velocidade)){
			
				if((velocidade > MaxVia)){
					multa = 190.0 ; 
					if( velocidade > MaxVia + 10  ){
						multa  += 50 ; 
						if( velocidade > MaxVia + 30 ){
							multa += 90 ; 
						}
						
					}

				}
				
				
				
				
				if(multa > 0 ) {
					resultado.style.color = 'red'; 
					resultado.innerHTML = 'Multa: RS' + multa;
				}else{
					resultado.style.color = ''; 
					resultado.innerHTML = 'Sem multa!';
				}
			
			}else{
			
				resultado.innerHTML = 'Erro: Favor verificar os dados...' ; 
			
			}
			
			
			
			//verificar se passou limite da via 
			
			// se passou calcular a multa
	

}



</script>
<h2>Calculadora de Multas</h2>

<table >

	<tr> 
		<td style="text-align: right;>
			<label for="txtMaxVia">Velocidade Max da Via:</label>
		</td> 
		<td>
			<input style="width : 50px;" type="text" id="txtMaxVia"  />
		</td> 
	</tr>
	
	<tr> 
		<td style="text-align: right;>
			<label for="txtVelocidade">Velocidade Condutor:</label>
		</td> 
		<td>
			<input style="width : 50px;" type="text" id="txtVelocidade"  />
		</td> 
	</tr>
	
	<tr> 
		<td colspan="2" style="text-align: right;">
			<input type="button" value="Verificar Multas" onclick="verificarMulta();"/>
		</td> 
	</tr>
	
</table>

<p id="resultado"></p>

<br />






</body>

</html>

